Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util

## Class OSGIVersionUtil

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util.OSGIVersionUtil

    public class OSGIVersionUtil
    extends Object

Avoid using org.osgi.framework.Version.compareTo(Version) method to avoid binary incompatibility with OSGi frameworks before they were compiled with Java 5.

### Constructor Summary

Constructors
`OSGIVersionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `compare​(Version that, Version other)` Same contract as `Version.compareTo(Version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGIVersionUtil

    public OSGIVersionUtil()

### Method Detail

#### compare

    public static int compare​(Version that,
                              Version other)

Same contract as `Version.compareTo(Version)`

Parameters:
  `that` - The `Version` object to be compared.
  `other` - The `Version` object to be compared.
Returns:
  A negative integer, zero, or a positive integer if `that` version is less than, equal to, or greater than the specified `other` version.